<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: fp_news_accordion_panel.php
| Version: 1.00
| Author: Fangree Productions
| Developer: Fangree_Craig
| Site: http://www.fangree.com
+--------------------------------------------------------+
| jQuery UI Accordion 1.7.2: http://docs.jquery.com/UI/Accordion
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."fp_news_accordion_panel/locale/".$settings['locale'].".php")) {
include INFUSIONS."fp_news_accordion_panel/locale/".$settings['locale'].".php";
} else {
include INFUSIONS."fp_news_accordion_panel/locale/English.php";
}
include LOCALE.LOCALESET."news_cats.php";

global $settings, $aidlink;


set_image("facebook",  INFUSIONS."fp_news_accordion_panel/images/facebook.png");
set_image("google+",  INFUSIONS."fp_news_accordion_panel/images/google.png");
set_image("twitter",  INFUSIONS."fp_news_accordion_panel/images/twitter.png");
set_image("edit",  INFUSIONS."fp_news_accordion_panel/images/edit-news.png");
set_image("author",  INFUSIONS."fp_news_accordion_panel/images/author.png");
set_image("comments",  INFUSIONS."fp_news_accordion_panel/images/comments.png");
set_image("reads",  INFUSIONS."fp_news_accordion_panel/images/reads.png");
set_image("print",  INFUSIONS."fp_news_accordion_panel/images/printer.gif");

//////////SETTINGS/////////////////////////////////////////////

$items_per_page = 11;    // News Per Page
$news_share = 1;       // 1 Share News On || 0 Share News Off

/////////////////////////////////////////

opentable($locale['fp_news_accordion_001']);
		add_to_head("<link type='text/css' href='".INFUSIONS."fp_news_accordion_panel/style.css' rel='stylesheet' />
		             <script type='text/javascript' src='".INFUSIONS."fp_news_accordion_panel/js/jquery-ui.js'></script>");	
		

	    add_to_footer("<script type='text/javascript'>
			          $(function(){
			          $('#fpn_accordion').accordion({ header: 'h3' });
			         });
	    </script>");
		
		
	if (!isset($_GET['readmore']) || !isnum($_GET['readmore'])) {
	$rows = dbcount("(news_id)", DB_NEWS, groupaccess('news_visibility')." 
						AND (news_start='0'||news_start<=".time().")
						AND (news_end='0'||news_end>=".time().")
						AND news_draft='0'");

	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart']) || $_GET['rowstart'] > $rows) { $_GET['rowstart'] = 0; }
	
	if ($rows) {
	$result = dbquery(
	"SELECT tn.*, tc.*, tu.user_id, tu.user_name, tu.user_status, news_news
	FROM ".DB_NEWS." tn
	LEFT JOIN ".DB_USERS." tu ON tn.news_name=tu.user_id
	LEFT JOIN ".DB_NEWS_CATS." tc ON tn.news_cat=tc.news_cat_id
	WHERE ".groupaccess('news_visibility')." AND (news_start='0'||news_start<=".time().")
	AND (news_end='0'||news_end>=".time().") AND news_draft='0'
	GROUP BY news_id
	ORDER BY news_sticky DESC, news_datestamp DESC LIMIT ".$_GET['rowstart'].",".$items_per_page
	);
 
 $numrows = dbrows($result);
 
    echo "<div id='fpn_accordion'>";

	while ($data = dbarray($result)) {
	
   $news_news = preg_replace("/<!?--\s*pagebreak\s*-->/i", "", ($data['news_breaks'] == "y" ? nl2br(stripslashes($data['news_news'])) : stripslashes($data['news_news'])));
   $news_cat_image = "";		
   $news_cat_image = "<a href='".($settings['news_image_link'] == 0 ? "news_cats.php?cat_id=".$data['news_cat'] : BASEDIR."news.php?readmore=".$data['news_id'] )."'>";
   if ($data['news_image_t2'] && $settings['news_image_frontpage'] == 0) {
   $news_cat_image .= "<img src='".IMAGES_N_T.$data['news_image_t2']."' alt='".$data['news_subject']."' class='news-category' /></a>";
   } elseif ($data['news_cat_image']) {
   $news_cat_image .= "<img src='".get_image("nc_".$data['news_cat_name'])."' alt='".$data['news_cat_name']."' class='news-category' /></a>";
   } else {
   $news_cat_image = "";
   }
   $news_comments = dbcount("(comment_id)", DB_COMMENTS, "comment_type='N' AND comment_hidden='0' AND comment_item_id='".$data['news_id']."'");
   $parameter = $settings['siteurl']."news.php?readmore=".$data['news_id'];
   $title= $settings['sitename'].$locale['global_200'].$locale['global_077'].$locale['global_201'].$data['news_subject']."".$locale['global_200'];

	echo "<div class='fp-news-container'>\n";
	echo"<h3><strong><a title='".stripslashes($data['news_subject'])."' href='#'>".stripslashes($data['news_subject'])."&nbsp;<span class='fp-news-title-date' title='".$locale['fp_news_accordion_018']."'>[".showdate("shortdate",$data['news_datestamp'])."]</span></a></strong></h3>"; 
	echo "<div class='fp-main-news-div'>\n";
	echo"<div class='fp-news-post-info'>&nbsp;<span class='small'><img src='".get_image("author")."' alt='".$locale['fp_news_accordion_003']."' title='".$locale['fp_news_accordion_003']."' class='fp-news-post-icons' /> ".profile_link($data['user_id'], $data['user_name'], $data['user_status']).$locale['fp_news_accordion_004'].showdate("%d-%m-%Y %H:%M", $data['news_datestamp'])." | <img src='".get_image("reads")."' alt='".$locale['fp_news_accordion_005']."' title='".$locale['fp_news_accordion_005']."' class='fp-news-post-icons' /> ".$data['news_reads']." ".$locale['fp_news_accordion_005']." | <a href='".BASEDIR."news.php?readmore=".$data['news_id']."#comments'>".$news_comments." ".$locale['fp_news_accordion_005a']."</a>" ; 
	if ($data['news_allow_comments'] && $settings['comments_enabled'] == "1" && $news_comments >= "1") { echo "&nbsp;| <img src='".get_image("comments")."' alt='".$locale['fp_news_accordion_006']."' title='".$locale['fp_news_accordion_006']."' class='fp-news-post-icons' /> <a href='".BASEDIR."news.php?readmore=".$data['news_id']."#comments'>".$news_comments."</a>\n"; }
    echo " <span class='fp-admin-edit'><a href='".BASEDIR."print.php?type=N&item_id=".$data['news_id']."'><img src='".get_image("print")."' alt='".$locale['fp_news_accordion_019']."' title='".$locale['fp_news_accordion_019']."' class='fp-news-post-icons' /></a></span>\n";
    if (iADMIN && checkrights("N")) {
    echo " <span class='fp-admin-edit'><a href='".ADMIN."news.php".$aidlink."&amp;action=edit&amp;news_id=".$data['news_id']."'><img src='".get_image("edit")."' alt='".$locale['global_076']."' title='".$locale['global_076']."' class='fp-news-post-icons' /></a></span> \n";
	            }
    echo"</span></div>";
	echo $news_cat_image."".$news_news."";
	if ($data['news_extended'] !== "") { 
	echo" <div class='fp-news-post-infob'>";
	echo" <span class='fp-news-button float-right'><a href='".BASEDIR."news.php?readmore=".$data['news_id']."'>".$locale['fp_news_accordion_002']."</a></span>";
    echo"</div>\n";
	}
	if ($news_share == 1) {
	echo"<div class='fp-share'>".$locale['fp_news_accordion_007'].":  <input type='text' value='".$parameter."' class='textbox'   style='height: 11px; font-size:10px;width:285px; vertical-align: middle;' title='".$locale['fp_news_accordion_017']."' readonly='readonly' onclick='javascript:this.select();' /> <a class='fpst_bookmark' onclick=\"window.open('http://www.facebook.com/share.php?u=".$parameter."&t=".stripslashes($data['news_subject'])."','','location=no,scrollbars=yes,width=550,height=400,left='+(screen.availWidth/2-200)+',top='+(screen.availHeight/2-200)+'');return false;\"><img src='".get_image("facebook")."' alt='".$locale['fp_news_accordion_008']."'  title='".$locale['fp_news_accordion_008']."' class='fp-news-post-icons'/></a>\n
	<a class='fp-st_bookmark' onclick=\"window.open('http://twitter.com/share?url=".$parameter."&text=$title','','location=no,scrollbars=yes,width=550,height=400,left='+(screen.availWidth/2-200)+',top='+(screen.availHeight/2-200)+'');return false;\"><img src='".get_image("twitter")."' alt='".$locale['fp_news_accordion_010']."'  title='".$locale['fp_news_accordion_010']."' class='fp-news-post-icons'/></a>\n
	<a class='fp-st_bookmark' onclick=\"window.open('https://plus.google.com/share?url=".$parameter."','','location=no,scrollbars=yes,width=550,height=400,left='+(screen.availWidth/2-200)+',top='+(screen.availHeight/2-200)+'');return false;\"><img src='".get_image("google+")."' alt='".$locale['fp_news_accordion_009']."' title='".$locale['fp_news_accordion_009']."' class='fp-news-post-icons' /></a></div>\n";
	}
	echo"</div></div>";
	}
	}	
	echo "</div>";
	if ($rows > $items_per_page) echo "<div style='margin-top:15px; text-align: center;'>\n".makepagenav($_GET['rowstart'],$items_per_page,$rows,3)."\n</div><br />\n";
	} else {
	opentable($locale['global_077']);
	echo "<div style='text-align: center;'><br />\n".$locale['global_078']."<br /><br />\n</div>\n";
	closetable();
	}

   /*echo"<div class='tbl-border center' style='margin-top:10px; margin-bottom: 10px;'>";
   echo"<div style='float: left; margin-top: 5px; margin-bottom: 5px; padding-left: 3px;'><img style='vertical-align:middle; border: 0px; text-align: center;' src='".INFUSIONS."fp_news_accordion_panel/images/news_stats.png' alt='".$locale['fp_news_accordion_011']."' /></div>";
   echo "<div class='tbl1' style='margin-top: 1px; margin-bottom: 1px; padding-left: 42px;'><span class='small'> <strong>".$locale['fp_news_accordion_012'].":</strong> ".number_format(dbcount("(news_id)", DB_NEWS))." | <strong>".$locale['fp_news_accordion_013'].":</strong> ".dbcount("(news_cat_id)", DB_NEWS_CATS)." |";
   if ($settings['comments_enabled'] == "1") {
   echo" <strong>".$locale['fp_news_accordion_016'].":</strong> ".dbcount("(comment_id)", DB_COMMENTS." WHERE comment_type='N' AND comment_hidden='0'");
   }
	
   echo"</span></div>";
   echo"<div class='tbl2' style='margin-bottom: 1px; padding-left: 42px;'>";

   $result = dbquery("SELECT news_id, news_subject, news_reads, news_datestamp FROM ".DB_NEWS." tn 
	LEFT JOIN ".DB_NEWS_CATS." tnc 
	ON tn.news_cat=tnc.news_cat_id
	WHERE ".groupaccess('news_visibility')."
	ORDER BY news_datestamp DESC LIMIT 0,1");
	if (dbrows($result)) {
	while($datac = dbarray($result)) {
	$news_subjectc = trimlink($datac['news_subject'], 23);
	echo"<span class='small'> <strong>".$locale['fp_news_accordion_015'].":</strong> <a href='".BASEDIR."news.php?readmore=".$datac['news_id']."' class='small' title='".$datac['news_subject']."'>".$news_subjectc."</a> | \n";
	}

	} else {
	echo "<div style='text-align:center'>".$locale['431']."</div>\n";
	}

	$result = dbquery("SELECT news_id, news_subject, news_reads, news_datestamp FROM ".DB_NEWS." tn 
	LEFT JOIN ".DB_NEWS_CATS." tnc 
	ON tn.news_cat=tnc.news_cat_id
	WHERE ".groupaccess('news_visibility')."
	ORDER BY news_reads DESC LIMIT 0,1");
	if (dbrows($result)) {
	while($datab = dbarray($result)) {
	$news_subjectb = trimlink($datab['news_subject'], 23);
	echo"  <span class='small'><strong>".$locale['fp_news_accordion_014'].":</strong> <a href='".BASEDIR."news.php?readmore=".$datab['news_id']."' class='small' title='".$datab['news_subject']."'>".$news_subjectb."</a> [".$datab['news_reads']."]</span>\n";
	}

	} else {
	echo "<div style='text-align:center'>".$locale['431']."</div>\n";
	}*/

	echo"</span></div></div>\n";
	   // COPYRIGHT DO NOT REMOVE
	echo"<div class='side small' style='padding-top:5px; text-align:right; color:#000;'><span  title='FP News Accordion Panel Copyright&copy; 2012  Fangree Productions'><a href='http://www.fangree.com'>&copy;</a></span></div>\n";

	closetable();	
	
?>
